/*
*  Rubrica
*  file: import_kab.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _IMPORT_KAB_H
#define _IMPORT_KAB_H

#include "rubrica.h"
#include "import.h"

typedef enum {
  Entries = 0,
  additionalName, address, town, country, zip, birthday,
  comment, deliveryLabel, 
  URL, email, email2, email3, emails, 
  fax, modem, 
  firstname, fn, name, namePrefix, title, 
  keywords, org, orgSubUnit, orgUnit, role, 
  state, talk, 
  telephone,   
} TokenKCard;

typedef struct _ktoken {
  gchar *str;
  TokenKCard tok;
} KToken;


#endif
