/*
*  Rubrica
*  file: modulo_int.h
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MODULO_INTERFACCIA_H
#define __MODULO_INTERFACCIA_H

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "modulo.h"
#include "modulo_cb.h"


/* funzioni richiamate per disegnare il widget */
GtkWidget *modulo_rubrica_crea_pagina_dati     (ModuloRubrica *modulo);
GtkWidget *modulo_rubrica_crea_pagina_rete     (ModuloRubrica *modulo);
GtkWidget *modulo_rubrica_crea_pagina_telefono (ModuloRubrica *modulo);
GtkWidget *modulo_rubrica_crea_pagina_work     (ModuloRubrica *modulo);
GtkWidget *modulo_rubrica_crea_pagina_note     (ModuloRubrica *modulo);


#endif
