/*
*  Rubrica
*  file: search_cb.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gnome.h>


void
on_combo_activate                      (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_radio_card_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_name_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_surname_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_state_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_city_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_prof_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_web_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_mail_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_tel_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_case_check_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
void
on_incomplete_check_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_search_list_select_row              (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_search_list_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_search_ok_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_search_close_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
