/*
*  Rubrica
*  file: view.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_VIEW_H
#define _RUBRICA_VIEW_H

/*  inizializzazione e prelievo dei dati della vista 
*/

void rubrica_view_init(GtkWidget *dati, GtkWidget *pbar);

GtkCList *rubrica_view_get_dati(void);
GtkWidget *rubrica_view_get_progressbar(void);

void rubrica_view_update_path(gchar *str);

/* Get - Set - Inc - Dec Indirizzi 
   get - get the number of inserted address
   set - get the number of inserted address to #
   inc - increase the number of inserted address
   dec - decrease the number of inserted address
*/
void rubrica_view_inc_indirizzi(void);
void rubrica_view_dec_indirizzi(void);
gint rubrica_view_get_indirizzi(void);
void rubrica_view_set_indirizzi(gint n);

#endif










