/*
*  Rubrica
*  file: modulo_cb.h
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gnome.h>

#ifndef _MODULO_RUBRICA_CB_H
#define _MODULO_RUBRICA_CB_H

void on_check_birthday_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_check_cancellabile_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_check_modificabile_toggled(GtkToggleButton *togglebutton, gpointer user_data);

void on_web_entry_activate(GtkEditable *editable, gpointer  user_data);
void on_bot_web_aggiungi_clicked(GtkButton *button, gpointer user_data);
void on_bot_web_modifica_clicked(GtkButton *button, gpointer user_data);
void on_bot_web_elimina_clicked (GtkButton *button, gpointer user_data);

void on_web_clist_select_row(GtkCList *clist, gint row, gint column, 
			     GdkEvent *event, gpointer user_data);

void on_email_entry_activate(GtkEditable *editable, gpointer  user_data);
void on_bot_mail_aggiungi_clicked(GtkButton *button, gpointer user_data);
void on_bot_mail_modifica_clicked(GtkButton *button, gpointer user_data);
void on_bot_mail_elimina_clicked(GtkButton *button, gpointer user_data);

void on_mail_clist_select_row(GtkCList *clist, gint row, gint column,
				GdkEvent *event, gpointer user_data);

void on_radio_casa_toggled(GtkToggleButton *togglebutton,gpointer user_data);
void on_radio_ufficio_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_radio_fax_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_radio_cellulare_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_radio_altro_toggled(GtkToggleButton *togglebutton, gpointer user_data);

void on_telefono_clist_select_row (GtkCList *clist, gint row, gint column,
				GdkEvent *event, gpointer user_data);

void on_tel_entry_activate(GtkEditable *editable, gpointer  user_data);
void on_bot_tel_aggiungi_clicked (GtkButton *button, gpointer user_data);
void on_bot_tel_modifica_clicked (GtkButton *button, gpointer user_data);
void on_bot_tel_elimina_clicked (GtkButton *button,  gpointer user_data);

void on_radio_married_toggled (GtkButton *button,  gpointer user_data);
void on_radio_children_toggled (GtkButton *button,  gpointer user_data);


#endif







